#include <SPI.h>
#include <Adb.h>
#define PIN_MAX_GPX 7
 #define PIN_MAX_RESET 8

// Adb connection.
// value at the address called connection in the memory
Connection *connection;

int ledPin = 3;

// Event handler for the shell connection. 
void adbEventHandler(Connection *connection, adb_eventType event, uint16_t length, uint8_t * data)
{
  int i;
  if (event == ADB_CONNECTION_RECEIVE)
  {
    analogWrite(ledPin,data[0]);
    Serial.print("\t\t");
    Serial.println(data[0], DEC);
  } else {
    Serial.println("Error");
  }
}

void setup()
{
  Serial.begin(57600);
 
  // You can access method that you haven't create any instance by using double colons (scope resolution operator)
  ADB::init();
  connection = ADB::addConnection("tcp:4567", true, adbEventHandler);  
}

void loop()
{
  uint16_t data = analogRead(A0);
  // Send 2 bytes of data
  (*connection).write(2, (uint8_t*)&data);
  Serial.println(data, DEC);
  ADB::poll();
}

