import java.io.IOException;
import android.util.Log;

private Server server;
private int sensorValue;

void setup() {		
  // Create TCP server
  server = null;
  try {
    server = new Server(4567);
    server.start();
  } catch (IOException e) {
    println(e.toString());
  } 

  this.server.addListener(new AbstractServerListener() {
    @Override
      public void onReceive(Client client, byte[] data) {
      if (data.length<2) return;
      sensorValue = (data[0] & 0xff) | ((data[1] & 0xff) << 8);
    };
  }
  );
}

void draw() {
  background(0);
  stroke(255);
 
  text(mouseX, mouseX + 5, mouseY - 80);
    line(mouseX, 0, mouseX, height);
    try {
      server.send(new byte[] {(byte) ((((float)mouseX)/((float)width))*255.0f), (byte) ((((float)mouseY)/((float)height))*255.0f)}); 
    } catch (IOException e) {
      println("microbridgeproblem sending TCP message");
    }
    text(sensorValue, 5, sensorValue - 5);
  line(0, sensorValue, width, sensorValue);
}


